#include <bits/stdc++.h>
using namespace std;
 
 struct frilanser
 {
     int plata;
         double procenat;
         };
         bool compareTwoStructs(frilanser a, frilanser b){

             return a.procenat < b.procenat;
             }
             int main(){
                 
                     int n,i;
                         double maxtren,max = 0;
                             scanf("%d",&n);
                                 frilanser a[n];
                                     for(i=0;i<n;i++)
                                             scanf("%d %lf",&a[i].plata, &a[i].procenat);
                                                 
                                                      sort(a, a+n, compareTwoStructs);
                                                         
                                                             for(i = 0;i<n;i++){
                                                                     maxtren = 0;
                                                                             for(int j = i;j<n;j++)
                                                                                         maxtren += a[j].plata;
                                                                                                 maxtren = maxtren * a[i].procenat/100;
                                                                                                         if(maxtren>max) max = maxtren;
                                                                                                             }
                                                                                                                 printf("%.4lf",max);
                                                                                                                     
                                                                                                                         
                                                                                                                         }